/*
 * $Id: Constraints.java,v 1.1 2005/07/19 12:27:49 dev Exp $
 * S.O.D.A.  -  Simple Object Database Access
 */
package org.odbms;

/**
 * set of Constraint objects.
 * <br><br>This extension of the Constraint interface allows
 * setting the evaluation mode of all contained Constraint
 * objects with single calls.
 * <br><br>
 * See also Query#constraints() Query#constraints().
 */
public interface Constraints extends Constraint
{
	
	/**
	 * returns an array of the contained Constraint objects.
	 * @return  an array of the contained Constraint objects.
	 */
	public Constraint[] toArray();
}
