/**
 *  OpenMobileIS - an open Java Framework for mobile applications
 *
 *   Copyright (C) 2005  Ubikis.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 */
package org.openmobileis.examples.mycrm.terminal;

import org.openmobileis.services.navigation.NavigationBarDescription;



/**
 * @author Manuel Gomez
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class MyCrmNavigationBarDescription implements NavigationBarDescription{

  public MyCrmNavigationBarDescription() {
    super();
    
  }
  
  
  public String getPastLinkFontTag() {
		return "<font class=\"texte_vert\">";
//    return "<font face=\"Verdana, Arial, Helvetica, sans-serif\" size=\"1\" color=\"#003399\">";
  }

  /* (non-Javadoc)
   * @see org.openmobileis.embedded.services.common.NavigationBarDescription#getCurrentLinkFontTag()
   */
  public String getCurrentLinkFontTag() {
    
		return "<font class=\"texte_orange\">";
//    return "<font color=\"#FF6600\">";
  }

  /* (non-Javadoc)
   * @see org.openmobileis.embedded.services.common.NavigationBarDescription#getLinkSeparator()
   */
  public String getLinkSeparator() {
    return "&nbsp;&gt; ";
  }

}
