/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2006 Philippe Delrieu
 * All rights reserved.
 * Contact: pdelrieu@openmobileis.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  
 *  Modifications :
 *  2006 Creation P.Delrieu
 * 
 */
package org.openmobileis.modules.profiles.old;

import java.util.Enumeration;
import java.util.Hashtable;

import org.openmobileis.common.util.OpenMISSerializable;
import org.openmobileis.common.util.collection.Array;
import org.openmobileis.modules.profiles.old.embedded.core.ProfileRubricSynchroListener;
import org.openmobileis.modules.profiles.terminal.RubricLoader;

/**
 * Title: OpenMobileIS project source <BR>
 * Description: define a rubric. A rubric is a part of a module. A rubric define
 * services to be loaded and SynchroListener to register. Rubric properties is
 * defined in the profil file. Use the RubricLoader class to define rubric
 * service and listener.
 * 
 * @author Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public class ProfileRubric  implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;

  private String name;
  private String version;

  public ProfileRubric(String name) {
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getName() {
    return this.name;
  }
  
  //BIDOUILLE : Ajout pour compilation
  
  public Array getSynchroListenerList(){
	  return null;
  }
  
  public RubricLoader getLoader(){
	  return null;
  }
  public ProfileRubric() {
  }
  
  public void addProperty(String propertyName, String propertyValue){
	 
  }
  
  public void setLoader(RubricLoader loader){
	  
  }
  
  public void addSynchroListener(ProfileRubricSynchroListener synclistener){
	  
  }

}
